Bug 710462 - (CVE-2011-2185) CVE-2011-2185 fabric: Use of insecure temporary file by uploading templates and projects to remote hosts
CVE-2011-2185 fabric: Use of insecure temporary file by uploading templates a...
Status: NEW
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
low Severity low
: ---
: ---
Assigned To: Red Hat Product Security
public=20110602,reported=20110603,sou...
: Security
Depends On: 710465
Blocks:
  Show dependency treegraph
 
Reported: 2011-06-03 09:18 EDT by Jan Lieskovsky
Modified: 2014-11-20 15:01 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Jan Lieskovsky 2011-06-03 09:18:46 EDT
It was found that fabric, a simple Pythonic remote deployment tool,
used insecure way for creation of temporary files, when uploading
template text files and project files to a remote system. A local attacker
could use this flaw to conduct symlink attacks to upload sensitive
information to remote host or to overwrite certain local system files.

References:
[1] http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=629003
Comment 1 Jan Lieskovsky 2011-06-03 09:23:38 EDT
CVE Request:
[2] http://www.openwall.com/lists/oss-security/2011/06/03/5
Comment 2 Jan Lieskovsky 2011-06-03 09:24:19 EDT
This issue affects the versions of the fabric package, as shipped with
Fedora release of 13, 14, and 15. Please schedule an update, once final
upstream patch known.
Comment 3 Jan Lieskovsky 2011-06-03 09:25:26 EDT
Created fabric tracking bugs for this issue

Affects: fedora-all [bug 710465]
Comment 4 Jan Lieskovsky 2011-06-07 05:15:04 EDT
The CVE identifier of CVE-2011-2185 has been assigned to this issue:
http://www.openwall.com/lists/oss-security/2011/06/06/12

Note You need to log in before you can comment on or make changes to this bug.